# German ASA Questionnaire Translation - Part 1: Translation and Formative Assessment

## Participant Characteristics

**Author**: Nele Albers

**Date**: June 2023

**Contributors**: Boleslav Khodakov, Emma Bokel, Nele Albers, Andrea Bönsch, Jonathan Ehret, and Willem-Paul Brinkman.

**OSF pre-registration:** https://osf.io/adknw


This file is meant to guide you through the steps to calculate participant characteristics for each round. Specifically, we provide information on the age and gender. The data files further contain data on participants' highest completed education level from their Prolific profiles.


### Examine Output of Code Run by Us

To see the age and gender distributions computed by us, refer to the file "Participant_Characteristics.pdf."


### Run Code Yourself

This section is to explain how you can run the code yourself.


#### Requirements

You need to have the R programming language installed. Version 4.2.3 was used for this study. We recommend using RStudio to view the `.rmd` files. The `.rmd` files contain code chunks which list/install the necessary dependencies.


#### Steps to Reproduce Analyses

The reproduction of our code is based on RStudio. Take the following steps:

1. Make sure you have R installed. 
2. Open the file `Participant_Characteristics.rmd`. Run the file's contents or knit the file into a pdf-file. The file accesses the four files with Prolific profile data.


### Explanation of Files

Please note: The `.rmd` files contain extensive comments.

This directory contains the following files:

- Participant_Characteristics.pdf/rmd: Code to compute the age and gender distributions for the three rounds.
- prolific_export_german_anonym.csv: Prolific profile data from round 2.
- prolific_export_german_first_half_anonym.csv: Prolific profile data from participants rating the first half of the questionnaire in round 1.
- prolific_export_german_legend.txt: File explaining the columns in the Prolific data files.
- prolific_export_german_round3_anonym.csv: Prolific profile data from round 3.
- prolific_export_german_second_half_anonym.csv: Prolific profile data from participants rating the second half of the questionnaire in round 1.
- README.md/pdf: This README-file.