# German ASA Questionnaire Translation - Part 1: Translation and Formative Assessment

## Overview of Steps to Reproduce Analyses

**Author**: Boleslav Khodakov
**Date**: June 2023

**Contributors**: Boleslav Khodakov, Emma Bokel, Nele Albers, Andrea Bönsch, Jonathan Ehret, and Willem-Paul Brinkman.

**OSF pre-registration:** https://osf.io/adknw

**This codebase is based on code from:** Fengxiang Li


This is the overall README-file to give you an overview of reproducing our analyses. Code for the round 1 preprocessing has been written by Boleslav Khodakov and Emma Bokel. All the remaining code has been written by Boleslav Khodakov. The code is based on previously existing codebases. This is referenced in the code. 

All code and documentation has been checked by Johan Hensman and Kriss Tesink, as reported in the checklist "ChecklistDataRepositoryReview.docx."


### Reproducing Analyses

Below we describe how you can reproduce our analysis results.

The analysis conducted at this stage of the study is: calculation of Intraclass Correlation Cefficient (ICC) values between original English items of the ASA questionnaire and their German translations for each evaluation round. The ICC values are calculated on the individual questionnaire item level.


#### Anonymization Code

The folder "Anonymization Code" contains the code used for anonymizing participants' data. We cannot share non-anonymized data with people outside the study. However, we provide you with the way we anonymized the data.


#### Participant Characteristics

Navigate to the folder "Participant Characteristics" and the README-file therein for our overview of participant characteristics (e.g., age, gender) based on Prolific profile data of participants.


#### Three Translation Rounds

A total of three translation rounds were conducted. Depending on which translation round you wish to examine/reproduce, you navigate to the according folder (Round 1, Round 2, Round 3).

Each folder has the same structure. It consists of the following files:

- A README file explaining reproduction of the appropriate translation round (both `.md` and `.pdf` file).
- General data about participants from Prolific (`.csv` file). This includes the age, gender, and highest completed education level.
- Survey results for the translation round (`.sav` file).
- A file for transforming (pre-processing) data for ICC calculations (both `.rmd` and knitted `.pdf` file,). Translation round one has two such files, since the survey was split in half for that round. There also exist pre-processing files for recommended data only (participants were asked if they recommend using their data for research. This subset excludes participants who did not recommend their data usage).
- A file for calculating ICC values on an individual item level (both `.rmd` and knitted `.pdf` file). ICC values can be seen for both all and recommended data.
- A file with the legend on each column from the survey file (`.txt` file). Any question item can be found found here.
- A file with the legend on each column from the Prolific data file (`.txt` file).

Stylistically, the files should be the same. That is, for any round, the files are written in the same fashion.

To reproduce the results of any round, please refer to the README-file in the folder for that round for more details.
